/*
 *   SPDX-FileCopyrightText: 2021 Bhushan Shah <bshah@kde.org>
 *   SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>
 *
 *   SPDX-License-Identifier: LGPL-2.0-or-later
 */

import org.kde.plasma.private.mobileshell 1.0 as MobileShell
import org.kde.plasma.networkmanagement 0.2 as PlasmaNM

import ru.astralinux.plasma.private.kiosk 1.0
import ru.astralinux.plasma.private.astraairplanemode 1.0 as AAM

MobileShell.QuickSetting {
    text: i18nd("plasma_org.kde.plasma.quicksetting.airplanemode", "Airplane Mode")
    icon: "network-flightmode-on"
    status: Kiosk.enable ? "Not Available" : ""
//    enabled: PlasmaNM.Configuration.airplaneModeEnabled
    enabled: AAM.AstraAirplaneMode.airplaneModeEnabled

//    PlasmaNM.Handler {
//        id: nmHandler
//    }

    function toggle() {
//        nmHandler.enableAirplaneMode(!PlasmaNM.Configuration.airplaneModeEnabled);
//        PlasmaNM.Configuration.airplaneModeEnabled = !PlasmaNM.Configuration.airplaneModeEnabled;

        AAM.AstraAirplaneMode.setAirplaneMode(!AAM.AstraAirplaneMode.airplaneModeEnabled);
    }
}
