// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.plasma.private.mobileshell 1.0 as MobileShell

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    text: i18nd("plasma_org.kde.plasma.quicksetting.audio", "Sound")
    icon: "audio-speakers-symbolic"
    status: Kiosk.enable ? "Not Available" : i18nd("plasma_org.kde.plasma.quicksetting.audio", "%1%", MobileShell.AudioProvider.volumeValue)
    enabled: false
    settingsCommand: "plasma-settings -m kcm_pulseaudio"
    function toggle() {
        MobileShell.AudioProvider.showVolumeOverlay()
    }
}
