// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.plasma.private.mobileshell 1.0 as MobileShell

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    property var batteryInfo: MobileShell.BatteryInfo {}
    
    text: i18nd("plasma_org.kde.plasma.quicksetting.battery", "Battery")
    status: Kiosk.enable ? "Not Available" : i18nd("plasma_org.kde.plasma.quicksetting.battery", "%1%", batteryInfo.percent)
    icon: "battery-full" + (batteryInfo.pluggedIn ? "-charging" : "")
    enabled: false
    settingsCommand: "plasma-settings -m kcm_mobile_power"
}
