// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.bluezqt 1.0 as BluezQt
import org.kde.plasma.private.mobileshell 1.0 as MobileShell

import ru.astralinux.plasma.private.astraswitchinerfeces 1.0

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    text: i18nd("plasma_org.kde.plasma.quicksetting.bluetooth", "Bluetooth")
    icon: "network-bluetooth"
    settingsCommand: "plasma-settings -m kcm_bluetooth"
    status: (BluezQt.Manager.adapters.length == 0) || Kiosk.enable ? "Not Available" : ""

    function toggle() {
        var enable = !BluezQt.Manager.bluetoothOperational;
//        BluezQt.Manager.bluetoothBlocked = !enable;

//        for (var i = 0; i < BluezQt.Manager.adapters.length; ++i) {
//            var adapter = BluezQt.Manager.adapters[i];
//            adapter.powered = enable;
//        }

        AstraSwitchInerfeces.enableBluetooth(enable);
    }
    enabled: BluezQt.Manager.bluetoothOperational
}
