// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.plasma.private.mobileshell 1.0 as MobileShell
import org.kde.plasma.quicksetting.flashlight 1.0

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    text: i18nd("plasma_org.kde.plasma.quicksetting.flashlight", "Flashlight")
    icon: "flashlight-on"
    enabled: FlashlightUtil.torchEnabled
    available: FlashlightUtil.available
    status: !FlashlightUtil.available || Kiosk.enable ? "Not Available" : ""
    function toggle() {
        FlashlightUtil.toggleTorch()
    }
}
