// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.plasma.mm 1.0 as PlasmaMM
import org.kde.plasma.private.mobileshell 1.0 as MobileShell

import ru.astralinux.plasma.private.astraswitchinerfeces 1.0

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    text: i18nd("plasma_org.kde.plasma.quicksetting.mobiledata", "Mobile Data")
    icon: "network-modem"
    status: !PlasmaMM.SignalIndicator.mobileDataSupported || Kiosk.enable
                    ? "Not Available" // NOTE: not translated to not break string freeze
                    : "" // on or off supplied by default
                
    settingsCommand: "plasma-settings -m kcm_cellular_network"
    enabled: PlasmaMM.SignalIndicator.mobileDataEnabled
    
    function toggle() {
//        PlasmaMM.SignalIndicator.mobileDataEnabled = !PlasmaMM.SignalIndicator.mobileDataEnabled;
        AstraSwitchInerfeces.enableWwan(!PlasmaMM.SignalIndicator.mobileDataEnabled);
    }
}
