// SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
// SPDX-License-Identifier: LGPL-2.0-or-later

import QtQuick 2.15

import org.kde.plasma.networkmanagement 0.2 as PlasmaNM
import org.kde.plasma.private.mobileshell 1.0 as MobileShell

import ru.astralinux.plasma.private.astraswitchinerfeces 1.0

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    PlasmaNM.Handler {
        id: nmHandler
    }

    PlasmaNM.EnabledConnections {
        id: enabledConnections
    }
    
    PlasmaNM.NetworkStatus {
        id: networkStatus
    }

    PlasmaNM.AvailableDevices {
        id: availableDevices
    }

    text: i18nd("plasma_org.kde.plasma.quicksetting.wifi", "Wi-Fi")
    status: Kiosk.enable || !availableDevices.wirelessDeviceAvailable ? "Not Available" : ""
    icon: "network-wireless-signal"
    settingsCommand: "plasma-settings -m kcm_mobile_wifi"
    function toggle() {
//        nmHandler.enableWireless(!enabledConnections.wirelessEnabled)
        AstraSwitchInerfeces.enableWireless(!enabledConnections.wirelessEnabled);
    }
    enabled: enabledConnections.wirelessEnabled
}
